9 6
IFEQ R0,0
RET 1
ENDIF
MOV R1,R0
SUB R1,1
CALL R1
MOV R2,R9
MUL R2,R0
RET R2
2 123
CALL R0
RET R0
3 0
ADD R0,1
CALL R0
RET 1
2 123
DIV R0,0
RET R0
2 123
MOD R0,R1
RET R0
12 10
IFL R0,2
RET 1
ENDIF
MOV R1,R0
MOV R2,R0
SUB R1,1
SUB R2,2
CALL R1
MOV R1,R9
CALL R2
ADD R1,R9
RET R1
6 60
SUB R0,2
IFEQ R0,0
RET 0
ENDIF
CALL R0
RET 0
6 5
SUB R0,2
IFEQ R0,0
RET 0
ENDIF
CALL R0
RET 0
0 0
